/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * $Id: ArchiveNotification.java 4798 2009-08-07 12:30:47Z alitokmen $
 */
package org.objectweb.jasmine.rules.action;

import javax.ejb.EJB;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import org.objectweb.jasmine.rules.Notification;
import org.objectweb.jasmine.rules.logs.beans.NotificationArchiver;

/**
 * @author Julien Legrand
 */
public class ArchiveNotification  {
    
    @EJB(beanName="notification_archiver")
    private NotificationArchiver archiver;
    
    /**
     * 
     */
    public ArchiveNotification() {
        
        Context ctx = null;
        try {
            ctx = new InitialContext();
            archiver = (NotificationArchiver) ctx.lookup("notification_archiver");
        } catch (NamingException e) {
            e.printStackTrace();
        }
    }
    
    public void archiveNotification(final Notification notification){
        
        if(archiver != null){
            archiver.archiveNotification(notification);
        }
    }

}
